<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use \Zeedhi\Framework\DTO\Request\Row;
use Teknisa\SALESSHARED\Service\GetParametro;


class Parametro extends \Zeedhi\Framework\Controller\Simple {

	protected $getParamService;
	protected $instanceManager;

	public function __construct(\Service\GetParametro $getParamService, \Zeedhi\Framework\DependencyInjection\InstanceManager $instanceManager) {
		$this->getParamService   = $getParamService;
		$this->instanceManager   = $instanceManager;
	}

	/*
	Exemplo de utilização do método getParametroByHierarquia
	O código informado deve ser o mesmo cadastrado na tabela VND_PARAMETRO, string.
	O filtro deve ser um array com índices CDFILIAL, CDLOJA, CDCAIXA, NRORG, CDTIPORECE de acordo com a hierarquia desejada.
	O valor dos índeces deve ser uma string.
    O valor do parametro sempre será correspondente ao campo VALORPARAMETRO.
	*/

	public function defineparametro(Row $params, Response $response){
		
		$teste = $this->instanceManager->getService('Teknisa\SALESSHARED\Service\GetParametro');
		$retorno = $teste->getParametroByHierarquia('1.1.1',array('CDFILIAL'=>'9999', 'NRORG'=>'1025'));
		$response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet ('/getParametro', array($parametros)));
		
	}

}